HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual

# HttpRequest::setOptions

(PECL pecl_http:0.10.0-1.5.5)

HttpRequest::setOptions — Set options

### Opis

public bool HttpRequest::setOptions ([ array `$options` ] )

Set the request options to use.

Patrz po pełną listę Opcje żądania.

### Parametry

`options`

  an associative array, which values will overwrite the currently set request options; if empty or omitted, the options of the HttpRequest object will be reset

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual